cgGetSamplerStateAssignmentState(3)

NAME
cgGetSamplerStateAssignmentState - get a sampler-valued state assignment's state

SYNOPSIS
  #include <Cg/cg.h>
  CGstate cgGetSamplerStateAssignmentState( CGstateassignment sa );

PARAMETERS

sa  The state assignment.

RETURN VALUES
Returns a CGstate handle for the state.

Returns NULL if the handle sa is invalid.

DESCRIPTION
cgGetSamplerStateAssignmentState allows the application to retrieve the state of a state assignment that stores a sampler.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_STATE_ASSIGNMENT_HANDLE_ERROR is generated if sa is not a valid state assignment.

HISTORY
cgGetSamplerStateAssignmentState was introduced in Cg 1.4.

SEE ALSO
the cgGetFirstSamplerStateAssignment manpage, the cgGetNamedSamplerStateAssignment manpage, the cgGetSamplerStateAssignmentParameter manpage, the cgGetSamplerStateAssignmentValue manpage